Buscar assinatura por código
curl --request GET \
--url https://nexus.ticto.com.br/api/v1/financial/subscriptions/{subscription_code} \
--header 'X-Api-Client-Token: <api-key>'import requests
url = "https://nexus.ticto.com.br/api/v1/financial/subscriptions/{subscription_code}"
headers = {"X-Api-Client-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Client-Token': '<api-key>'}};
fetch('https://nexus.ticto.com.br/api/v1/financial/subscriptions/{subscription_code}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://nexus.ticto.com.br/api/v1/financial/subscriptions/{subscription_code}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Api-Client-Token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://nexus.ticto.com.br/api/v1/financial/subscriptions/{subscription_code}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Client-Token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://nexus.ticto.com.br/api/v1/financial/subscriptions/{subscription_code}")
.header("X-Api-Client-Token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://nexus.ticto.com.br/api/v1/financial/subscriptions/{subscription_code}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Api-Client-Token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": "success",
"message": "Registro encontrado com sucesso",
"data": {
"code": "TS7QK4M2XJ9BVN5RLD3W",
"interval": 1,
"price": 3500,
"first_charge_price": null,
"currency": "BRL",
"payment_method": "credit_card",
"installments": 1,
"free_days": 0,
"max_charges": null,
"best_day_to_charge": 15,
"next_charge": "15/04/2026 00:00:00",
"successful_charges": 3,
"failed_charges": 0,
"canceled_at": null,
"created_at": "15/01/2026 10:00:00",
"order": {
"hash": "TOCA3F111503K9Z42QM",
"amount": 3500,
"status": "paid"
},
"pix_recurring": {
"subscription_code": "TS7QK4M2XJ9BVN5RLD3W",
"status": "active",
"status_label": "Ativo",
"frequency": "monthly",
"frequency_label": "Mensal",
"authorization_type": "monthly_auth_monthly_retry",
"variable_amount": false,
"min_amount": null,
"max_amount": null,
"authorization_date": "2026-08-01T12:00:00.000000Z",
"expires_at": null,
"retry_attempts": 1,
"max_retry_attempts": 7,
"failed_charges": 0,
"created_at": "01/08/2026 11:58:40"
}
}
}Financeiro
Buscar assinatura por código
Retorna uma assinatura específica do usuário autenticado pelo código.
Atenção: O token
Authorization: Bearerdeve ser do comprador (buyer) da assinatura, não do produtor. O endpoint filtra internamente pelouser_iddo token Bearer, portanto usar o token do produtor retornará 404 mesmo que o código da assinatura exista.
Retorna 404 se o código não existir ou não pertencer ao usuário autenticado.
GET
/
financial
/
subscriptions
/
{subscription_code}
Buscar assinatura por código
curl --request GET \
--url https://nexus.ticto.com.br/api/v1/financial/subscriptions/{subscription_code} \
--header 'X-Api-Client-Token: <api-key>'import requests
url = "https://nexus.ticto.com.br/api/v1/financial/subscriptions/{subscription_code}"
headers = {"X-Api-Client-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Client-Token': '<api-key>'}};
fetch('https://nexus.ticto.com.br/api/v1/financial/subscriptions/{subscription_code}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://nexus.ticto.com.br/api/v1/financial/subscriptions/{subscription_code}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Api-Client-Token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://nexus.ticto.com.br/api/v1/financial/subscriptions/{subscription_code}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Client-Token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://nexus.ticto.com.br/api/v1/financial/subscriptions/{subscription_code}")
.header("X-Api-Client-Token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://nexus.ticto.com.br/api/v1/financial/subscriptions/{subscription_code}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Api-Client-Token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": "success",
"message": "Registro encontrado com sucesso",
"data": {
"code": "TS7QK4M2XJ9BVN5RLD3W",
"interval": 1,
"price": 3500,
"first_charge_price": null,
"currency": "BRL",
"payment_method": "credit_card",
"installments": 1,
"free_days": 0,
"max_charges": null,
"best_day_to_charge": 15,
"next_charge": "15/04/2026 00:00:00",
"successful_charges": 3,
"failed_charges": 0,
"canceled_at": null,
"created_at": "15/01/2026 10:00:00",
"order": {
"hash": "TOCA3F111503K9Z42QM",
"amount": 3500,
"status": "paid"
},
"pix_recurring": {
"subscription_code": "TS7QK4M2XJ9BVN5RLD3W",
"status": "active",
"status_label": "Ativo",
"frequency": "monthly",
"frequency_label": "Mensal",
"authorization_type": "monthly_auth_monthly_retry",
"variable_amount": false,
"min_amount": null,
"max_amount": null,
"authorization_date": "2026-08-01T12:00:00.000000Z",
"expires_at": null,
"retry_attempts": 1,
"max_retry_attempts": 7,
"failed_charges": 0,
"created_at": "01/08/2026 11:58:40"
}
}
}Authorizations
ApiClientTokenbearerAuth
Token de autenticação do cliente obtido via endpoint /auth
Path Parameters
Código da assinatura
Example:
"TS7QK4M2XJ9BVN5RLD3W"